登录  免费注册
当前位置:首页 > 漏洞详细信息

Collabora CODE WOPI API跨站脚本漏洞

 关注(0)  
CNVD-ID CNVD-2020-44894
公开日期 2020-08-07
危害级别 中 (AV:N/AC:M/Au:N/C:N/I:P/A:N)
影响产品 Collabora Collabora CODE <=4.2.2
CVE ID CVE-2020-12432
漏洞描述 Collabora CODE是英国Collabora公司的一款协作办公解决方案。该产品支持在线文档编辑和查看等功能。WOPI API是其中的一个WOPI(Web应用程序开放平台接口协议)API。

Collabora CODE 4.2.2及之前版本中的WOPI API集成存在安全漏洞,该漏洞源于程序未能正确限制发往用户浏览器的JavaScript代码并且缺少适当的MIME类型访问控制。攻击者可通过获取API的访问令牌利用该漏洞获取帐户凭据。
漏洞类型 通用型漏洞
参考链接 https://github.com/d7x/CVE-2020-12432
漏洞解决方案 目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:
https://www.collaboraoffice.com/
厂商补丁 (无补丁信息)
验证信息 (暂无验证信息)
报送时间 2020-08-04
收录时间 2020-08-07
更新时间 2020-08-07
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论